import numpy as np

namestring = "GravEn_SimID                        SimHrss      SimEgwR2    GravEn_Ampl  Internal_x   Internal_phi   External_x   External_phi  External_psi  FrameGPS     EarthCtrGPS     SimName               SimHpHp      SimHcHc      SimHpHc    GEO      GEOctrGPS       GEOfPlus       GEOfCross       GEOtErr       GEOcErr       GEOsnr  H1       H1ctrGPS        H1fPlus        H1fCross        H1tErr        H1cErr        H1snr  H2       H2ctrGPS        H2fPlus        H2fCross        H2tErr        H2cErr        H2snr  L1       L1ctrGPS        L1fPlus        L1fCross        L1tErr        L1cErr        L1snr  V1       V1ctrGPS        V1fPlus        V1fCross        V1tErr        V1cErr        V1snr"

namelist = namestring.split()

data = np.recfromtxt('BurstMDC-ER5BURST-Log.txt', names=namelist)

waveform = data['SimName']
hrss = data['SimHrss']
phi = data['External_phi']
x = data['External_x']
theta = np.arccos(x)
dec = np.pi/2 - theta
gps = data['EarthCtrGPS']

sgname = 'SG153Q8d9'
wnbname = 'WNB_200_300_0d1'
ottname = 'processed_s15.0'

loudsg =  [gps[i] for i in range(len(gps)) if (np.log10(hrss[i]) > -22.5) and (waveform[i] == sgname) ]
loudwnb = [gps[i] for i in range(len(gps)) if (np.log10(hrss[i]) > -22.5) and (waveform[i] == wnbname) ]
loudott = [gps[i] for i in range(len(gps)) if (hrss[i] > 1.8e-20) and (waveform[i] == ottname) ]

outfile = open('go_sg153.sh','w')
for time in loudsg:
    outfile.write("./go_condor.sh {0} \n".format(time) )
outfile.close()

outfile = open('go_wnb.sh','w')
for time in loudwnb:
    outfile.write("./go_condor.sh {0} \n".format(time) )
outfile.close()

outfile = open('go_ott.sh', 'w')
for time in loudott:
    outfile.write("./go_condor.sh {0} \n".format(time) )
outfile.close()

