#! /bin/sh

gps=$1
intgps=${gps%.*}
start=`expr $intgps - 100`
end=`expr $intgps + 100`


export LIGO_DATAFIND_SERVER=10.14.20.73:80

# Create Cache files
ligo_data_find --observatory H --type H1_ER_C00_L1 -s $start -e $end --lal-cache | grep file > H.cache
ligo_data_find --observatory L --type L1_ER_C00_L1 -s $start -e $end --lal-cache | grep file > L.cache
ligo_data_find --observatory V --type V1Online     -s $start -e $end --lal-cache | grep file > V.cache


/home/jkanner/baysewave/svn/trunk/src/BayesWaveBurst \
       --ifo H1 --H1-flow 40 --H1-channel H1:FAKE-STRAIN \
       --ifo L1 --L1-flow 40 --L1-channel L1:FAKE-STRAIN \
       --H1-cache H.cache \
       --L1-cache L.cache \
       --trigtime $gps --srate 1024 --seglen 8 \
       --bayesLine --PSDstart $gps --PSDlength 8 \
       --Niter 1000000 --NCmin 15  \
       --bayesLine --gnuplot \
       --MDC-channel [H1:FAKE-STRAIN_BURST,L1:FAKE-STRAIN_BURST]   \
       --MDC-cache [H.cache,L.cache] \
       --MDC-prefactor 1 \


tar -cf chains.tar chains
tar -cf waveforms.tar waveforms
tar -cf snr.tar snr
