/*
 */

/***************************  REQUIRED LIBRARIES  ***************************/

#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <time.h>
#include <string.h>

#include <gsl/gsl_math.h>
#include <gsl/gsl_errno.h>
#include <gsl/gsl_sf_exp.h>
#include <gsl/gsl_sf_erf.h>

#define NR_END 1
#define FREE_ARG char*

/*************  PROTOTYPE DECLARATIONS FOR INTERNAL FUNCTIONS  **************/

/* ============================  MAIN PROGRAM  ============================ */

int main(int argc, char* argv[])
{
  FILE *ifile = fopen(argv[1],"r");
  int cut = atoi(argv[2]);

  int i;
  int n=0;
  int N=0;
  double mean_bg[297];
  double sigma_bg[297];

  double Zg,Zn,Zs,Vg,Vn,Vs,r;
  double Bsn,Bsg,Vsn,Vsg;
  for(i=0; i<297; i++)
  {
    fscanf(ifile,"%lg %lg %lg %lg %lg %lg %lg",&Zn,&Zg,&Zs,&Vn,&Vg,&Vs,&r);
    Bsn = Zs - Zn;
    Bsg = Zs - Zg;
    Vsn = Vs + Vn;
    Vsg = Vs + Vg;

    if(  (Bsn - cut*sqrt(Vsn) > 0) )
    {
      mean_bg[n] = Bsg;
      sigma_bg[n] = sqrt(Vsg);
      n++;
    }
  }
  N=n;

  double t;
  double rate;
  int hist;



  for(i=-100; i<100; i++)
  {
    hist=0;
    rate = 0.0;
    for(n=0; n<N; n++)
    {
      t = ((double)i/5.-mean_bg[n])/sqrt(2.)/sigma_bg[n];
      rate += 0.5*gsl_sf_erfc(t);
      if((int)floor((double)i/5.-mean_bg[n])<0)hist++;
    }
    printf("%g %g %i\n",(double)i/5.,rate,hist);
  }

  fclose(ifile);
  return 0;
}
