
import numpy as np
import matplotlib.pyplot as plt


plt.ion()
plt.close('all')

livetime = 22*3e7
names = ['bn', 'bg', 'bs', 'zn', 'zg', 'zs', 'rho']
data = np.recfromtxt('rho100_evidence_stacked.dat', names=names)
lnsg = data['bs'] - data['bg']

bins = np.arange(0,30,0.1)
count,bins,patches = plt.hist(lnsg, bins=bins, cumulative=-1, log=True)
plt.figure()

bintoo = [np.mean([bins[n], bins[n+1]]) for n in range(bins.size-1)]
plt.semilogy(bintoo, count / livetime)
plt.ylabel('Cumulative rate of glitches (Hz)')
plt.xlabel('ln($B_{sg}$)')

N_gl = 22.0 * 3e7 * 0.001
B_inf = N_gl

model = np.log(B_inf) - bintoo

print "The total number of glitches is {0}".format(N_gl)

exp_gl = N_gl * np.exp(-np.array(bintoo))
# plt.semilogy(bintoo, exp_gl/livetime)
plt.semilogy(bintoo, model/livetime, 'r')

# plt.axvline(13, color='k')
plt.ylim(0.1/livetime, 100/livetime)
plt.xlim(0,20)
plt.grid()



