import matplotlib as mat
mat.use('Agg')
import matplotlib.pyplot as plt
import numpy as np
from glue.ligolw import ligolw
from glue.ligolw import ligolw
from glue.ligolw import table
from glue.ligolw import lsctables
from glue.ligolw import utils as ligolw_utils

# import glue.ligolw.utils
# import glue.ligolw.table
# import glue.ligolw.lsctables
# import sys
# import glue.ligolw as ligolw
# from glue.ligolw import ligolw


# -----------------------------
# Read XML injection parameters
# ------------------------------
filename = '/home/jkanner/sergey/IMBHB-MDC-150-150_10Hz_taper_start.xml'
lsctables.use_in(ligolw.LIGOLWContentHandler)
xmldoc = ligolw_utils.load_filename(filename, contenthandler = ligolw.LIGOLWContentHandler, verbose = True)
tbl = lsctables.SimInspiralTable.get_table(xmldoc)

# -------------------
# Extract GPS and number of each injection
# -------------------
gps = np.zeros(len(tbl))
number = np.zeros(len(tbl), dtype=int)
for indx, inj in enumerate(tbl):
    gps[indx] = inj.h_end_time + 1e-9*inj.h_end_time_ns
    print gps[indx]
    number_str = str(inj.simulation_id)
    number[indx] = number_str.split(':')[2]
    print number[indx]

# ---------------
# Read list of recovered injections
# ---------------
recovered = np.recfromtxt('recovered_signals_150.txt', names=True)
rec_timeList = recovered['GPSL1']

rec_num = np.zeros(rec_timeList.shape)
for q, rec_time in enumerate(rec_timeList):

    indx = np.argmin(np.abs(gps-rec_time))
    rec_num[q] = number[indx]

# ---------------
# Make output file
# ----------------

np.savetxt( 'triglist_150.txt', zip(rec_timeList, rec_num))

