//Globally defined parameters. 

#define TSUN 4.92569043916e-6						// mass to seconds conversion
#define PI 3.1415926535897931159979634685442		// Pi  
#define PI2 9.869604401089357992304940125905      // Pi^2 
#define TPI 6.2831853071795862319959269370884     // 2 Pi
#define RTPI 1.772453850905516                    // sqrt(Pi)
#define RT2PI 2.5066282746310005024               // sqrt(2 Pi)
#define EULER 0.577215664901532860606512  // Euler's constant
#define E 2.71828183								// e
#define MPC 3.08568025e22							// MegaParsec in meters
#define CLIGHT 2.99792458e8							// Speed of light in m/s   
#define AF0 0.1063937550698317
//#define AF0 1.0


#define NS 100                   // maximum number of sine-gaussian
#define NE 7
#define NG 5
#define NP 57                  // number of parameters = NE + NS*NG
//#define NI 2		         // number of detectors 1=LH0, 2=LHO+LL0, 3=LHO+LLO+VIRGO, 4=LHO+LLO+VIRGO+GEO

#define LIGO3 0              // use LIGO 3 noise curve when set equal to 1

#define skyfix 0               // can fix sky location
#define anglefix 0             // fix sky and orientation

// These all should be powers of 2 (except fminn)
//#define Tobs 64.0				//  observation time
//#define fmaxx 1024.0             //  max frequency used in analysis
//#define fminn 20.0               //  min frequency used in analysis

//Tuning parameters for wavelet proximity proposal
#define UNIFORM 0.2      // fraction of proximity prior that is uniform
#define SPRD 4         // width of outer part of proximity proposal
#define HLW 1          // width of hollowed-out region
#define SNRPEAK 5.0      // peak of SNR distribution
#define APN 3.4774624728292402883        // normalization factor in signal amplitude prior

//Runge-Kutta parameters
#define SAFETY 0.9
#define PGROW -0.2
#define PSHRNK -0.25
#define ERRCON 1.89e-4
#define MAXSTP 1000000

//#define BURNIN 10000         // number of samples in the burnin phase
#define derate 0.05   		   	// fraction of the time we add a point to the diff_ev array

